package com.landray.kmss.sys.attachment.jg;

import java.sql.PreparedStatement;
import java.sql.Connection;
import com.landray.kmss.sys.attachment.model.SysAttMain;
import java.sql.Statement;
import org.springframework.jdbc.support.JdbcUtils;
import java.sql.SQLException;
import java.sql.Timestamp;
import com.landray.kmss.util.SpringBeanUtil;
import javax.sql.DataSource;
import com.landray.kmss.util.UserUtil;
import javax.servlet.http.HttpServletResponse;
import com.landray.kmss.common.actions.RequestContext;
import org.slf4j.LoggerFactory;
import org.slf4j.Logger;

public class SysAttJGAddtionUpdateTimeFunction extends AbstractSysAttachmentJGAddtionFunction
{
    private static final Logger logger;
    
    static {
        logger = LoggerFactory.getLogger(SysAttJGAddtionUpdateTimeFunction.class);
    }
    
    @Override
    public void execute(final RequestContext request, final HttpServletResponse response) throws Exception {
        try {
            final String fdId = request.getParameter("fdId");
            final String modelId = request.getParameter("fdModelId");
            final String modelName = request.getParameter("fdModelName");
            final String key = request.getParameter("fdKey");
            final SysAttMain sysAttMain = this.getSysAttMain(fdId, modelId, modelName, key, true);
            if (sysAttMain != null && UserUtil.getUser().getFdId().equals(sysAttMain.getFdPersonId())) {
                final DataSource dataSource = (DataSource)SpringBeanUtil.getBean("dataSource");
                Connection connect = null;
                PreparedStatement updateSql = null;
                try {
                    connect = dataSource.getConnection();
                    connect.setAutoCommit(false);
                    updateSql = connect.prepareStatement("update sys_att_main set fd_last_open_time=? where fd_id=?");
                    updateSql.setTimestamp(1, new Timestamp(System.currentTimeMillis()));
                    updateSql.setString(2, sysAttMain.getFdId());
                    updateSql.execute();
                    connect.commit();
                }
                catch (final SQLException ex) {
                    SysAttJGAddtionUpdateTimeFunction.logger.error("更新在线编辑时间出错，错误信息：" + ex);
                    if (connect != null) {
                        connect.rollback();
                    }
                    return;
                }
                finally {
                    JdbcUtils.closeStatement((Statement)updateSql);
                    JdbcUtils.closeConnection(connect);
                }
                JdbcUtils.closeStatement((Statement)updateSql);
                JdbcUtils.closeConnection(connect);
            }
        }
        catch (final Exception e) {
            SysAttJGAddtionUpdateTimeFunction.logger.error("更新在线编辑时间出错，错误信息：" + e);
        }
    }
}
